#pragma config(StandardModel, "EV3_REMBOT")
//*!!Code automatically generated by 'ROBOTC' configuration wizard               !!*//

/*
Create a program to drive the robot backwards with a warning beep getting quicker
as the Ultrasonic Sensor sees an approaching object. The beep only sounds at a distance
less than 20cm. The robot stops when a distance of less than 4cm is reached.
*/

task distanceBeeper()
{
	while(true)
	{
		if (getUSDistance(sonarSensor) < 20){
			//Start playing a tone (length determined by distance).
			playTone(440, (getUSDistance(sonarSensor)));

			// Wait for the tone to be done playing.
			while(bSoundActive)
			{
				sleep(10);
			}

			//Add 50ms of "silence" to avoid a constant tone.
			sleep(50);
		}
	}
}

task main()
{
	//Start the "distance beeper" task.
	startTask(distanceBeeper);

	setMotorSpeed(motorB, -20);
	setMotorSpeed(motorC, -20);

	while(getUSDistance(sonarSensor) >= 4)
	{
		//Keep driving.
		sleep(10);
	}
}
